Skip to content

Commit

Permalink
Bourne shell
Browse files Browse the repository at this point in the history
* Standard stdout/stderr redirection.
* The last message is informational, not an error. Use sdtout, not stderr.
  • Loading branch information
DimitriPapadopoulos committed Nov 28, 2017
1 parent f37505e commit 4b0c31d
Showing 1 changed file with 4 additions and 4 deletions.
8 changes: 4 additions & 4 deletions autogen.sh
Original file line number Diff line number Diff line change
@@ -1,21 +1,21 @@
#!/bin/sh
set -exu

if ! type autoconf >/dev/null 2>/dev/null ; then
if ! type autoconf >/dev/null 2>&1 ; then
echo "autoconf not found - please install it" >&2
exit 1
fi

if ! type automake >/dev/null 2>/dev/null ; then
if ! type automake >/dev/null 2>&1 ; then
echo "automake not found - please install it" >&2
exit 1
fi

if type aclocal >/dev/null 2>/dev/null ; then
if type aclocal >/dev/null 2>&1 ; then
aclocal
fi

autoconf
automake --add-missing

echo "now you can run ./configure && make to build openfortivpn" >&2
echo "now you can run ./configure && make to build openfortivpn"

0 comments on commit 4b0c31d

Please sign in to comment.